--- old/usr/src/uts/common/io/ib/clients/rdsv3/rdma.c	2014-07-28 07:44:39.052984888 -0400
+++ new/usr/src/uts/common/io/ib/clients/rdsv3/rdma.c	2014-07-28 07:44:39.062674379 -0400
@@ -91,7 +91,7 @@
 	mr = avl_find(root, &key, &where);
 	if ((mr == NULL) && (insert != NULL)) {
 		avl_insert(root, (void *)insert, where);
-		atomic_add_32(&insert->r_refcount, 1);
+		atomic_inc_32(&insert->r_refcount);
 		return (NULL);
 	}
 
@@ -254,7 +254,7 @@
 	ASSERT(!(found && found != mr));
 
 	if (mr_ret) {
-		atomic_add_32(&mr->r_refcount, 1);
+		atomic_inc_32(&mr->r_refcount);
 		*mr_ret = mr;
 	}
 
@@ -399,7 +399,7 @@
 		RB_CLEAR_NODE(&mr->r_rb_node);
 		zot_me = 1;
 	} else {
-		atomic_add_32(&mr->r_refcount, 1);
+		atomic_inc_32(&mr->r_refcount);
 	}
 	mutex_exit(&rs->rs_rdma_lock);
 
@@ -638,7 +638,7 @@
 	if (!mr)
 		err = -EINVAL;	/* invalid r_key */
 	else
-		atomic_add_32(&mr->r_refcount, 1);
+		atomic_inc_32(&mr->r_refcount);
 	mutex_exit(&rs->rs_rdma_lock);
 
 	if (mr) {
